Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::ColorMatrix Class Reference

Encapsulates OpenGL color matrix functionality. More...

Inheritance diagram for osg::ColorMatrix:

[legend]
List of all members.

## Public Member Functions
| ColorMatrix ()
| ColorMatrix (const ColorMatrix &cm, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| Copy constructor using CopyOp to manage deep vs shallow copy.
| META_StateAttribute (osg, ColorMatrix, COLORMATRIX)
virtual int | compare (const StateAttribute &sa) const
| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs.
void | setMatrix (const Matrix &matrix)
| Sets the color matrix.
Matrix & | getMatrix ()
| Gets the color matrix.
const Matrix & | getMatrix () const
| Gets the const color matrix.
virtual void | apply (State &state) const
| Applies as OpenGL texture matrix.
## Protected Member Functions
virtual | ~ColorMatrix (void)
## Protected Attributes
Matrix | _matrix

## Detailed Description

Encapsulates OpenGL color matrix functionality.

## Constructor & Destructor Documentation

osg::ColorMatrix::ColorMatrix | ( |  | ) |

osg::ColorMatrix::ColorMatrix | ( | const ColorMatrix & | cm,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

| Copy constructor using CopyOp to manage deep vs shallow copy.

virtual osg::ColorMatrix::~ColorMatrix | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

virtual void osg::ColorMatrix::apply | ( | State & | state | ) | const`[virtual]`

| Applies as OpenGL texture matrix. Implements osg::StateAttribute.

virtual int osg::ColorMatrix::compare | ( | const StateAttribute & | sa | ) | const`[inline, virtual]`

| Return -1 if *this < *rhs, 0 if *this==*rhs, 1 if *this>*rhs. Implements osg::StateAttribute.

const Matrix& osg::ColorMatrix::getMatrix | ( |  | ) | const`[inline]`

| Gets the const color matrix.

Matrix& osg::ColorMatrix::getMatrix | ( |  | ) | `[inline]`

| Gets the color matrix.

osg::ColorMatrix::META_StateAttribute | ( | osg | ,
|  | ColorMatrix | ,
|  | COLORMATRIX |
| ) |

void osg::ColorMatrix::setMatrix | ( | const Matrix & | matrix | ) | `[inline]`

| Sets the color matrix.

## Member Data Documentation

Matrix osg::ColorMatrix::_matrix`[protected]`

The documentation for this class was generated from the following file:

- ColorMatrix